"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const nodemailer = require("nodemailer");
const dovtnv = require("dotenv");
dovtnv.config();
class EmailSendUitl {
    constructor() {
        this.emailUser = process.env.EMAIL || "";
        this.emailPassword = process.env.EMAIL_PASSWORD || "";
        this.sendEmail = (to, subject, object) => __awaiter(this, void 0, void 0, function* () {
            let isSend = false;
            const transporter = this.sendMessageInfo();
            const html = this.genretedEmailTemplet(object);
            const mailOptions = this.genretedMailOptions(to, subject, html);
            try {
                yield transporter.sendMail(mailOptions);
                isSend = true;
            }
            catch (error) {
                isSend = false;
            }
            return isSend;
        });
        this.sendMessageInfo = () => {
            const transporter = nodemailer.createTransport({
                service: 'gmail',
                auth: {
                    user: this.emailUser,
                    pass: this.emailPassword,
                },
                tls: {
                    rejectUnauthorized: false,
                },
                host: 'smtp.ethereal.email',
                port: 587,
                secure: false,
            });
            return transporter;
        };
        this.genretedMailOptions = (to, subject, html) => {
            const mailOptions = {
                from: `"Ceramic Hevan" <${this.emailUser}>`,
                to: to,
                subject: subject,
                html: html
            };
            return mailOptions;
        };
        this.genretedEmailTemplet = (email) => {
            let html;
            html = `<!DOCTYPE html>
    <html lang="en">
    
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Email Registration Successful</title>
        <style>
            body {
                font-family: 'Arial', sans-serif;
                background-color: #f4f4f4;
                margin: 0;
                padding: 0;
                display: flex;
                align-items: center;
                justify-content: center;
                height: 100vh;
            }
    
            .container {
                background-color: #fff;
                box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
                padding: 20px;
                border-radius: 8px;
                text-align: center;
            }
    
            .success-icon {
                font-size: 48px;
                color: #28a745;
                margin-bottom: 20px;
            }
    
            h2 {
                color: #333;
            }
    
            p {
                color: #666;
            }
    
            .cta-button {
                display: inline-block;
                background-color: #007bff;
                color: #fff;
                padding: 10px 20px;
                text-decoration: none;
                border-radius: 5px;
                margin-top: 20px;
            }
    
            .cta-button:hover {
                background-color: #0056b3;
            }
        </style>
    </head>
    
    <body>
        <div class="container">
            <div class="success-icon">&#10004;</div>
            <h2>${email.title}</h2>
            <p>${email.text}</p>
        </div>
    </body>
    
    </html>`;
            return html;
        };
    }
}
exports.default = new EmailSendUitl();
