"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const fs = require("fs");
class FileUtils {
}
FileUtils.createFolder = () => {
    try {
        const formattedDate = FileUtils.createFolderNameByDate();
        const folderPath = path.join('./public/images', formattedDate);
        if (!fs.existsSync(folderPath)) {
            fs.mkdirSync(folderPath);
            return folderPath;
        }
        else {
            return folderPath;
        }
    }
    catch (error) {
        return null;
    }
};
FileUtils.createFolderNameByDate = () => {
    const currentDate = new Date();
    const formattedDate = currentDate.toISOString().split('T')[0];
    return formattedDate;
};
FileUtils.deleteImage = (url, dirName) => {
    let isDelete = false;
    try {
        const publicImagesFolder = path.join(dirName, '../../public');
        const imagePath = path.join(publicImagesFolder, url);
        if (fs.existsSync(imagePath)) {
            fs.unlinkSync(imagePath);
            FileUtils.deleteEmptyFolder(url, dirName);
            isDelete = true;
        }
        else {
            isDelete = false;
        }
    }
    catch (error) {
        isDelete = false;
    }
    return isDelete;
};
FileUtils.getUrlToFolderName = (filePath) => {
    const dateRegex = /\/images\/(\d{4}-\d{2}-\d{2})\//;
    const match = filePath.match(dateRegex);
    const extractedDate = match ? match[1] : null;
    return extractedDate;
};
FileUtils.deleteEmptyFolder = (url, dirname) => {
    const removeImageName = FileUtils.getUrlToFolderName(url);
    const publicImagesFolder = path.join(dirname, '../../public/images');
    const folderPath = path.join(publicImagesFolder, (removeImageName) ? removeImageName : "");
    if (fs.existsSync(folderPath)) {
        const folderContents = fs.readdirSync(folderPath);
        if (folderContents.length === 0) {
            fs.rmdirSync(folderPath);
        }
    }
};
exports.default = FileUtils;
