"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const jwt = require("jsonwebtoken");
const dovtnv = require("dotenv");
dovtnv.config();
class JwtTokenUtil {
    static generateToken(user) {
        const secretKey = `${process.env.SECRET_KEY}`;
        const token = jwt.sign({ id: user.id, email: user.email, firstName: user.firstName, lastName: user.lastName }, secretKey, { expiresIn: `${process.env.EXPIRES_IN}` });
        return token;
    }
    static generateRefreshToken(user) {
        const secretKey = `${process.env.SECRET_KEY}`;
        const token = jwt.sign({ id: user.id, email: user.email, firstName: user.firstName, lastName: user.lastName }, secretKey, { expiresIn: '7d' });
        return token;
    }
    static verifyToken(token) {
        const secretKey = `${process.env.SECRET_KEY}`;
        try {
            return jwt.verify(token, secretKey);
        }
        catch (error) {
            return null;
        }
    }
}
exports.default = JwtTokenUtil;
