"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Logger = void 0;
const log4js = require("log4js");
class Logger {
    static configureLogger() {
        if (!Logger.isConfigured) {
            log4js.configure({
                appenders: {
                    console: { type: 'console' },
                    file: { type: 'file', filename: 'app.log' }
                },
                categories: { default: { appenders: ['console', 'file'], level: 'info' } }
            });
            Logger.isConfigured = true;
        }
    }
    static getLogger(className, logLevel = 'info') {
        Logger.configureLogger();
        const logger = log4js.getLogger(className);
        logger.level = logLevel.toLowerCase();
        return logger;
    }
}
exports.Logger = Logger;
Logger.isConfigured = false;
